App Releases • Z1/Honami Launcher v1.0

Z1/Honami Launcher v1.0

Requirements: Android 4.0+

Overview: Z1/Honami Launcher



- Almost fully working Home, few small bugs

- Works on all resolution devices

- Installable as normal APK (no need for root and zip flashing)

- Supports 4.0.3 and up

- Original Z1 Home With Near to No Modifications

- I might be creating a version with launcher settings once i figure out how

This app has no advertisements

More Info:


no market link

Download Instructions

Mirrors :

d2d2d2 — Mon Dec 09, 2013 10:07 pm

Related Posts Plugin for WordPress, Blogger...